@extends('inventory.layout') 
@section('title', 'Add Cases')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
       <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
         <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
        <style type="text/css">
            .gsterror{
                color: red;
            }
            .emailerror{
                color: red;
            }
            .gstverify{
                color: #4b9732;
            }
            .protable{
                overflow-x: auto;
            }
        </style>
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-user-plus bg-blue"></i> -->
                        <div class="d-inline">
                            <h5>{{isset($client->name) ? $client->name:''}} Cases</h5>
                            <span>{{ __('Create Cases')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Add Cases')}}</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
       <form class="forms-sample" method="POST" action="{{ route('storeadv') }}" id="regForm" enctype= multipart/form-data>
                        @csrf
        @include('include.message')

            <div class="row">
                <!-- start message area-->
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-header">
                            <strong><h3>{{ __('Basic Information')}}</h3></strong>
                        </div>
                        <div class="card-body">
                            
                    <div class="row">  
                        <input type="hidden" name="clientId" value="{{isset($clientid) ? $clientid:''}}">

                         <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('File No.')}}<span class="text-red">*</span></label>
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="file_no" value="" placeholder="Enter file No" required>
                           </div>     
                        </div>


                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('File Date')}}<span class="text-red">*</span></label>
                                <input id="file" type="date" class="form-control" name="file_date" value="" placeholder="Enter File Date" required>
                            </div>   
                        </div> 


                        <div class="col-sm-6">  
                            <div class="form-group">
                            <label for="name">{{ __('Select Client')}}<span class="text-red">*</span></label>
                                <select  class="form-control " name="clientId" id="client">
                                <option value="">Please Select</option>
                                    @foreach($clients as $client)
                                    @if(isset($clientid) && $clientid!='' && $clientid==$client->id)
                                        <option value="{{$client->id}}" selected="true">{{isset($client->name) ? $client->name:''}}</option>
                                    {{--@endif--}}
                                    @else
                                        <option value="{{$client->id}}">{{isset($client->name) ? $client->name:''}}</option>
                                    @endif
                                    @endforeach 
                                </select>
                            </div>
                        </div>

                         <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Select Advocate')}}<span class="text-red">*</span></label>
                                <select  class="form-control select2" name="user_id[]" id="user"  multiple="multiple">
                                    <option value="">Please Select</option>
                                    @foreach($users as $user)
                                        <option value="{{$user->id}}">{{isset($user->name) ? $user->name:''}}</option>
                                    @endforeach
                                </select>
                            
                           </div>     
                        </div>

                        {{--<div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Project Name')}}<span class="text-red">*</span></label>
                                <input id="name" type="text" class="form-control" name="name" value="" placeholder="Enter Name" required>
                           </div>     
                        </div>--}}


                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Appelant')}}<span class="text-red">*</span></label>
                                <input id="appelant" type="text" class="form-control" name="appelant" value="" placeholder="Enter appelant" required>
                            </div>   
                        </div>  

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Respondent')}}<span class="text-red">*</span></label>
                                <input id="respondent" type="text" class="form-control" name="respondent" value="" placeholder="Enter Respondent" required>
                            </div>   
                        </div>  

                         <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="case">{{ __('Case No')}}<span class="text-red">*</span></label>
                                <input id="case" type="text" class="form-control" name="case_no" value="" placeholder="Enter Case" required>
                            </div>   
                        </div>  

                         <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="court">{{ __('Court')}}<span class="text-red">*</span></label>
                                <input id="court" type="text" class="form-control" name="court" value="" placeholder="Enter Court" required>
                            </div>   
                        </div>  

                         <div class="col-sm-6">  
                            <div class="form-group">
                            <label for="name">{{ __('Subject')}}</label>
                                <select  class="form-control " name="subject_id" id="subject">
                                <option value="">Please Select</option>
                                    @foreach($subjects as $subject)
                    
                                        <option value="{{$subject->id}}">{{isset($subject->name) ? $subject->name:''}}</option>
                                
                                    @endforeach 
                                </select>
                            </div>
                        </div>

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Select Status')}}</label>
                                <select  class="form-control" name="status" id="status">
                                    <option value="">Please Select</option>
                                
                                        <option value="Pending">Pending</option>
                                        <option value="Disposed">Disposed</option>                    
                                </select>
                            
                           </div>     
                        </div>
                        
                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="category">{{ __('Category')}}</label>
                                <input id="category" type="text" class="form-control" name="category" value="" placeholder="Enter Category">
                            </div>   
                        </div>  

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="location">{{ __('Location')}}</label>
                                <input id="location" type="text" class="form-control" name="location" value="" placeholder="Enter Location">
                            </div>   
                        </div>

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="category">{{ __('Reference Advocate')}}</label>
                                <input id="Reference Advocate" type="text" class="form-control" name="reference_advocate" value="" placeholder="Enter Reference Advocate">
                            </div>   
                        </div>    
                         

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Advocate on Record')}}</label>
                                <select  class="form-control" name="advocate_record" id="adv" >
                                    <option value="">Please Select</option>
                                    @foreach($users as $user)
                                        <option value="{{$user->id}}">{{isset($user->name) ? $user->name:''}}</option>
                                    @endforeach
                                </select>
                            
                           </div>     
                        </div>

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="remarks">{{ __('Remarks')}}</label>
                                <input id="remarks" type="text" class="form-control @error('name') is-invalid @enderror" name="remarks" value="" placeholder="Enter Remarks">
                           </div>     
                        </div>


                       
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- start message area-->
                
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-body">
                            <div class="col-md-12" style="text-align: center;">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Add')}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <!-- push external js -->
    @push('script') 
    
    <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
    <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
    <script src="{{ asset('js/form-advanced.js') }}"></script>
    
 

     
    @endpush
@endsection
