@extends('inventory.layout') 
@section('title', 'Add User proceeding')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
       <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
         <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
        <style type="text/css">
            .gsterror{
                color: red;
            }
            .emailerror{
                color: red;
            }
            .gstverify{
                color: #4b9732;
            }
            .protable{
                overflow-x: auto;
            }
        </style>
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-user-plus bg-blue"></i> -->
                        <div class="d-inline">
                            <h5>{{isset($client->name) ? $client->name:''}} User Proceeding</h5>
                            <span>{{ __('Create User proceeding')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Add User proceeding')}}</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
       <form class="forms-sample" method="POST" action="{{ route('proceeding.store') }}" id="regForm" enctype= multipart/form-data>
        @csrf
        @include('include.message')

            <div class="row">
                <!-- start message area-->
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-header">
                            <strong><h3>{{ __('Basic Information')}}</h3></strong>
                        </div>
                        <div class="card-body">
                            
                    <div class="row">  
                        <input type="hidden" name="orderId" value="{{isset($orderid) ? $orderid:''}}">

                        <h5>Add Proceeding For File No: {{isset($order->file_no) ? $order->file_no:'' }} and Appelant: {{isset($order->appelant) ? $order->appelant:''}} and Respondent: {{isset($order->respondent) ? $order->respondent:'' }}</h5>
                       
                            <div class="col-sm-6"> 
                                <div class="form-group">
                                    <label for="date">{{ __('Date')}}<span class="text-red">*</span></label>
                                    <input id="date" type="text" class="form-control @error('date') is-invalid @enderror" name="Date" value="{{ date('Y-m-d H:i') }}" placeholder="Enter date" required>
                                </div>     
                            </div>
                            <div class="col-sm-6"> </div>

                        {{--<div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Plea Rec No')}}<span class="text-red">*</span></label>
                                <input id="name" type="text" class="form-control @error('pleaRecNo') is-invalid @enderror" name="pleaRecNo" value="" placeholder="Enter plea Rec No" required>
                           </div>     
                        </div>--}}

                     

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Proceedings')}}<span class="text-red">*</span></label>
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="Proceedings" value="" placeholder="Enter Proceeding " required>
                           </div>     
                        </div>

                        <div class="col-sm-6"> </div>


                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Court No')}}</label>
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="Court_No" value="" placeholder="Enter Court No">
                           </div>     
                        </div>

                        <div class="col-sm-6"> </div>

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Item No')}}</label>
                                <input id="company" type="text" class="form-control" name="Item_No" value="" placeholder="Enter Item_No" >
                            </div>   
                        </div>  

                        <div class="col-sm-6"> </div>
                        

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Judge Name')}}</label>
                                <input id="company" type="text" class="form-control" name="Judge_Name" value="" placeholder="Enter Judge_Name">
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Advocate')}}</label>
                                <select  class="form-control" name="advNo" id="advdetail" data-url="{{route('userprcdetail')}}">
                                    <option value="">Please Select</option>
                                    @foreach($users as $user)
                                        @if($userid==$user->id)
                                        <option value="{{$user->id}}" selected="selected">{{isset($user->name) ? $user->name:''}}</option>
                                         @endif                                  
                                    @endforeach
                                </select>
                            
                           </div>     
                        </div>
                        <div class="col-sm-6"> </div>

                        


                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Per hour charges (Rs.)')}}<span class="text-red">*</span></label>
                                <input id="company" type="text" class="form-control perhour" name="advChargesPerHr" value="{{isset($userprice->price) ? $userprice->price:''}}" placeholder="Enter advChargesPerHr" required>
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Hours worked (hh:mm)')}}<span class="text-red">*</span></label>
                                <input id="company" type="text" class="form-control" name="advHours" value="" placeholder="Enter advHours" required>
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>
                        
                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="duties">Upload File</label><br>
                                <input class="" type="file" name="file" id="upload_file" accept=".doc,.docx,image/png, image/jpeg,.pdf,image/gif">

                            </div>
                        </div>
                    
                                
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- start message area-->
                
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-body">
                            <div class="col-md-12" style="text-align: center;">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Add')}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <!-- push external js -->
    @push('script') 
    
    <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
    <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
    <script src="{{ asset('js/form-advanced.js') }}"></script>
    
    <script>
        
        $('#advdetail').change(function() { 
            //alert('vxdgdfg');
            var id=$('#advdetail option:selected').val();
            var url=$(this).data('url');
            console.log(id);
             console.log(url);
                $.ajax({
                    url:url,
                    type:'GET',
                    data:{'id':id},
                    success:function(res){
                       console.log(res);
                        $('.perhour').val(res.users.price);
                    }
                });

        });

    </script>

     
    @endpush
@endsection
