@extends('inventory.layout') 
@section('title', 'Edit User Proceeding')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
       <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
         <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
          <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/css/dropify.css">
        <style type="text/css">
            .gsterror{
                color: red;
            }
            .emailerror{
                color: red;
            }
            .gstverify{
                color: #4b9732;
            }
            .protable{
                overflow-x: auto;
            }
        </style>
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-user-plus bg-blue"></i> -->
                        <div class="d-inline">
                            <h5>{{isset($client->name) ? $client->name:''}} User Proceeding</h5>
                            <span>{{ __('Edit User Proceeding')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Edit User Proceeding')}}</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
       <form class="forms-sample" method="POST" action="{{ route('proceeding.update',$userproceeding->id) }}" id="regForm" enctype= multipart/form-data>
        @csrf
        @Method("PUT")
        @include('include.message')

            <div class="row">
                <!-- start message area-->
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-header">
                            <strong><h3>{{ __('Basic Information')}}</h3></strong>
                        </div>
                        <div class="card-body">
                            
                    <div class="row">  
                        <input type="hidden" name="orderId" value="{{isset($userproceeding->orderId) ? $userproceeding->orderId:''}}">

                        <h5>Add Proceeding For File No: {{isset($order->file_no) ? $order->file_no:'' }} and Appelant: {{isset($order->appelant) ? $order->appelant:''}} and Respondent: {{isset($order->respondent) ? $order->respondent:'' }}</h5>
                       
                            <div class="col-sm-6"> 
                                <div class="form-group">
                                    <label for="date">{{ __('Date')}}<span class="text-red">*</span></label>
                                    <input id="date" type="text" class="form-control @error('date') is-invalid @enderror" name="Date" value="{{ isset($userproceeding->Date) ? $userproceeding->Date :''}}" placeholder="Enter date" required>
                                </div>     
                            </div>
                            <div class="col-sm-6"> </div>


                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Proceedings')}}<span class="text-red">*</span></label>
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="Proceedings" value="{{ isset($userproceeding->Proceedings) ? $userproceeding->Proceedings :''}}" placeholder="Enter Proceeding " required>
                           </div>     
                        </div>

                        <div class="col-sm-6"> </div>


                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Court No')}}</label>
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="Court_No" value="{{ isset($userproceeding->Court_No) ? $userproceeding->Court_No :''}}" placeholder="Enter Court No">
                           </div>     
                        </div>

                        <div class="col-sm-6"> </div>

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Item No')}}</label>
                                <input id="company" type="text" class="form-control" name="Item_No" value="{{ isset($userproceeding->Item_No) ? $userproceeding->Item_No :''}}" placeholder="Enter Item No" >
                            </div>   
                        </div>  

                        <div class="col-sm-6"> </div>
                        

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Judge Name')}}</label>
                                <input id="company" type="text" class="form-control" name="Judge_Name" value="{{ isset($userproceeding->Judge_Name) ? $userproceeding->Judge_Name :''}}" placeholder="Enter Judge Name">
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Advocate')}}</label>
                                <select  class="form-control" name="advNo" id="advdetail" data-url="{{route('userprcdetail')}}">
                                    <option value="">Please Select</option>
                                    @foreach($users as $user)
                                        @if($userproceeding->advNo==$user->id)
                                         <option value="{{$user->id}}" selected="selected">{{isset($user->name) ? $user->name:''}}</option>
                                        @else

                                        <option value="{{$user->id}}">{{isset($user->name) ? $user->name:''}}</option>
                                        @endif
                                                                           
                                    @endforeach
                                </select>
                            
                           </div>     
                        </div>
                        <div class="col-sm-6"> </div>

                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Per hour charges (Rs.)')}}</label>
                                <input id="company" type="text" class="form-control perhour" name="advChargesPerHr" value="{{ isset($userproceeding->advChargesPerHr) ? $userproceeding->advChargesPerHr :''}}" placeholder="Enter advChargesPerHr" >
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="company">{{ __('Hours worked (hh:mm)')}}</label>
                                <input id="company" type="text" class="form-control" name="advHours" value="{{ isset($userproceeding->advHours) ? $userproceeding->advHours :''}}" placeholder="Enter advHours" >
                            </div>   
                        </div>
                        <div class="col-sm-6"> </div>
                        
                        <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="duties">Upload File</label><br>
                                    @if(isset($userproceeding->uploadFiles))
                                        
                                            <input type="file" id="dropify" class="dropify" data-default-file="{{ url('images/upload/advocate/'.$userproceeding['uploadFiles'])}}" name="file">
                                    
                                    @else
                                            <input type="file" id="dropify" class="dropify" data-default-file=" {{url('img/Image')}}" name="file">
                                    @endif
                            </div>
                        </div>
                                
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- start message area-->
                
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-body">
                            <div class="col-md-12" style="text-align: center;">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Update')}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <!-- push external js -->
    @push('script') 
    
    <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
    <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
    <script src="{{ asset('js/form-advanced.js') }}"></script>
    
       <script type="text/javascript">
        $(function () {
        $('#dropify').dropify();
        });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/js/dropify.min.js"></script>

    <script>
        
        $('#advdetail').change(function() { 
            //alert('vxdgdfg');
            var id=$('#advdetail option:selected').val();
            var url=$(this).data('url');
            console.log(id);
             console.log(url);
                $.ajax({
                    url:url,
                    type:'GET',
                    data:{'id':id},
                    success:function(res){
                       console.log(res);
                        $('.perhour').val(res.users.price);
                    }
                });

        });

    </script>

     
    @endpush
@endsection
