@extends('inventory.layout') 
@section('title', 'User Activity')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
       <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
         <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
        <style type="text/css">
            .gsterror{
                color: red;
            }
            .emailerror{
                color: red;
            }
            .gstverify{
                color: #4b9732;
            }
            .protable{
                overflow-x: auto;
            }
        </style>
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-user-plus bg-blue"></i> -->
                        <div class="d-inline">
                            <h5>{{isset($client->name) ? $client->name:''}} User Activity</h5>
                            <span>{{ __('Create User Activity')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Add User Activity')}}</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
       <form class="forms-sample" method="POST" action="{{ route('useractivitystore') }}" id="regForm" enctype= multipart/form-data>
        @csrf
        @include('include.message')

            <div class="row">
                <!-- start message area-->
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-header">
                            <strong><h3>{{ __('Basic Information')}}</h3></strong>
                        </div>
                        <div class="card-body">
                            
                    <div class="row">  
                        <input type="hidden" name="orderId" value="{{isset($orderid) ? $orderid:''}}">
                       
                            <div class="col-sm-6"> 
                                <div class="form-group">
                                    <label for="date">{{ __('Title')}}<span class="text-red">*</span></label>
                                    <input id="title" type="text" class="form-control @error('workTitle') is-invalid @enderror" name="workTitle" value="" placeholder="Enter Title" required>
                                </div>     
                            </div>
                            <div class="col-sm-6"> </div>

                    

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Description')}}<span class="text-red">*</span></label>
                                <textarea name="workDescription" class="form-control" row="2"></textarea>
                           </div>     
                        </div>

                        <div class="col-sm-6"> </div>

                        <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('User')}}</label>
                                <select  class="form-control" name="userNo" id="user">
                                    <option value="">Please Select</option>
                                    @foreach($users as $user)
                                         @if($userid==$user->id)
                                        <option value="{{$user->id}}" selected="selected">{{isset($user->name) ? $user->name:''}}</option>
                                           @endif                                
                                    @endforeach
                                </select>
                            
                           </div>     
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6"> 
                            <div class="form-group">
                                <label for="name">{{ __('Status')}}</label>
                                <select  class="form-control" name="workStatus" id="workStatus">
                                    <option value="">Please Select</option>
                                
                                        
                                        <option value="In Process">In Process</option>
                                        <option value="Completed">Completed</option>                                 
                                
                                </select>
                            
                           </div>     
                        </div>
                        <div class="col-sm-6"> </div>

                         <div class="col-sm-6">  
                            <div class="form-group">
                                <label for="workHours">{{ __('Hours Worked (hh:mm)')}}<span class="text-red">*</span></label>
                                <input id="workHours" type="text" class="form-control" name="workHours" value="" placeholder="Enter Hours" required>
                            </div>   
                        </div>
                    
                    
                                
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- start message area-->
                
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <div class="card-body">
                            <div class="col-md-12" style="text-align: center;">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Add')}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <!-- push external js -->
    @push('script') 
    
    <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
    <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
    <script src="{{ asset('js/form-advanced.js') }}"></script>
    

     
    @endpush
@endsection
